
D4Science Infrastructure - VM Creation #7855

Provide node to install GeoFence application

Mar 27, 2017 05:39 PM - Fabio Sinibaldi

Status: Closed Start date: Mar 27, 2017

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-Security   

Infrastructure: Development Applications list and

version:

 

RAM: 3 Applications context

path:

/geofence

CPU: 2 External storage data

disk:

 

DiskSpace: 12 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

 

Smartgears Version: latest PostgreSQL

database:

 

Application

Instructions:

 Number of VMs:  

Smartgears scopes: /gcube

/gcube/devsec

/gcube/devsec/devVRE

/gcube/devNext

/gcube/devNext/NextNext

  

Description

History

#1 - Mar 27, 2017 05:41 PM - Andrea Dell'Amico

Which kind of node? a smartgears one?

Resources? cpu, ram, disk space?

scopes list?

#2 - Mar 28, 2017 12:52 PM - Fabio Sinibaldi

The node needs to be a SmartGears with small hw requirements.

Scopes should be :

/gcube

/gcube/devsec/

/gcube/devsec/devVRE

/gcube/devNext

/gcube/devNext/NextNext

Suggested name : geofence-d-d4s.d4science.org

#3 - Apr 11, 2017 04:57 PM - Andrea Dell'Amico

IP is going to be 146.48.123.90

#4 - Apr 11, 2017 05:03 PM - Andrea Dell'Amico

- Tracker changed from Task to VM Creation

- RAM set to 3

- CPU set to 2
- DiskSpace set to 12

- Smartgears set to Yes

- Smartgears Version set to latest

- Smartgears scopes updated

- Applications context path updated

#5 - Apr 11, 2017 06:10 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Apr 11, 2017 06:11 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM is ready.

The reverse proxy has been configured to redirect the http requests to https, while the smartgears is still publishing itself on port 80.

#7 - Apr 12, 2017 02:43 PM - Fabio Sinibaldi

There seems to be a mismatch between container tokens and declared tcp port.

In ghn.log I can see messages like 

WARN  ContainerManager: the token d555ade1-1a1c-4b08-bb59-74f5837f6807-98187548 cannot be used, the client id

geofence-d-d4s.d4science.org:443 resolved with the token is not the same of the one specified in this container

for every token in container.xml.

Resolving token d555ade1-1a1c-4b08-bb59-74f5837f6807-98187548 we have

AuthorizationEntry [clientInfo=ContainerInfo [host=geofence-d-d4s.d4science.org, port=443], context=/gcube, map=null, qualifier=TOKEN, policies=[]]

while in container.xml the declared port is 80.

#8 - Apr 12, 2017 03:16 PM - Andrea Dell'Amico

I think I've understood the problem. I'll let you know asap.

#9 - Apr 12, 2017 03:33 PM - Andrea Dell'Amico

smartgears deploys correctly now. The logs say that the geofence app fails.

#10 - Apr 13, 2017 03:05 PM - Fabio Sinibaldi

- Smartgears scopes updated

GeoFence application has been now integrated with SmartGears. Requested action will be reported on wiki for further automation of the process.

There is just a misconfiguration in container.xml file.

As I wrongly asked in this ticket, a token has been generated for scope "/gcube/devsec/". The last '/' character prevents the service to retrieve the

related scope map. I'm updating this ticket with the right scope names. Please evaluate if any further action/check needs to be

implemented/performed.

#11 - Apr 13, 2017 03:10 PM - Andrea Dell'Amico

Reconfigured with the fixed scopes list. Let me know.

#12 - Apr 19, 2017 07:40 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

#13 - Apr 20, 2017 12:52 AM - Pasquale Pagano

- Project changed from 2 to D4Science Infrastructure

- Category deleted (spatial-data)

- Infrastructure Development added

#14 - May 02, 2017 02:59 PM - Fabio Sinibaldi

- Parent task changed from #7854 to #8293
